static const float2 QuadUvSize = {1.0f,1.0f };
static const float2 HUvSize = {0.25f,0.33333333333f };
static const float2 VUvSize = {0.33333333333f,0.25f };

static const float2 QuadUvFaceOffset[6] =
{
	float2(0.0f,0.0f),
	float2(0.0f,0.0f),
	float2(0.0f,0.0f),
	float2(0.0f,0.0f),
	float2(0.0f,0.0f),
	float2(0.0f,0.0f)
};

static const float2 HUvFaceOffset[6] =
{
	float2(0.25f,0.33333333f),
	float2(0.75f,0.33333333f),
	float2(0.0f,0.333333333f),
	float2(0.5f,0.333333333f),
	float2(0.25f,0.0f),
	float2(0.25f,0.66666667f)
};

static const float2 VUvFaceOffset[6] =
{
	float2(0.3333333f,0.25f),
	float2(0.33333333f,0.75f),
	float2(0.0f,0.25f),
	float2(0.66666667f,0.25f),
	float2(0.3333333f,0.0f),
	float2(0.33333333f,0.5f)
}; 

float2 GetVCrossUV(uint faceindex,float2 uv)
{
	if (faceindex == 1) { uv = 1.0f -uv;}
	if (faceindex == 4) { uv = 1.0f -uv;}
	
	uv *= VUvSize;
	uv += VUvFaceOffset[faceindex];
	return uv;
}


float2 GetHCrossUV(uint faceindex,float2 uv)
{
	if (faceindex == 4) { uv = 1.0f -uv;}
	uv *= HUvSize;
	uv += HUvFaceOffset[faceindex];
	return uv;
}



